<div class="map-upc-code" id="map-upc-code">
    <span>No data found for upc {{ oldUpc }}</span>
    <button class="btn btn-success" (click)="reviewUpc()">Notify Admin</button><br>
    <span id="notifyNote" style="display: none;">Notified</span>
    <span id="mappedNote" style="color: green; display: none;
        font-weight: bold;
        font-size: larger;"> Showing result of mapped UPC {{ mappedUpc }}</span>
</div>
<div class="table" id="table" style="display: flex;">
    <div class="col-sm-10 table-container" style="height: 500px; overflow: scroll">
        <table class="table table-bordered" style="border-style: none !important;">
            <colgroup>
                <col>
                <col>
                <col>
                <col>
                <col>
            </colgroup>
            <thead
                style="position: sticky; top: 0; z-index: 2; font-family: Georgia; height: 30px !important; font-size: 14px; background-color: rgb(202, 199, 199); text-align: center;">
                <tr>
                    <th style="width: 120px; min-width: 190px"><b>Serial Number</b></th>
                    <th style="width: 100px; min-width: 100px"><b>Scanned</b></th>
                    <th style="width: 120px; min-width: 110px"><b>Status</b></th>
                    <th style="width: 120px; min-width: 110px"><b>Location</b></th>
                    <th style="width: 120px; min-width: 110px"><b>Warehouse Receive Date</b></th>
                </tr>
            </thead>
            <tbody *ngFor="let row of tableData"
                style="text-align: center; border-style: none !important; font-family: Calibri;">
                <tr>
                    <td [attr.data-second-value]="row.mac_address">
                        <section class="example-section">
                            <mat-checkbox class="example-margin" (change)="checkboxChanged($event, row.serial_number)">
                                {{ row.serial_number }}
                            </mat-checkbox>
                        </section>
                    </td>
                    <td (click)="removeSerialNumber(row.serial_number)" *ngIf="row.oss_status === 1; else noneEle">
                        Remove
                    </td>
                    <ng-template #noneEle>
                        <td>
                        </td>
                    </ng-template>
                    <td>{{ row.statusName }}
                    </td>
                    <td>{{ row.locationName}}
                    </td>
                    <td>Help</td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="col-sm-1 d-flex justify-content-center align-items-center">
        <img (click)="sendSerialNumbers()" src="../../../../../assets/send.svg" alt="">
    </div>
</div>